Este plugin no se ha probado con las últimas 3 versiones mayores de WordPress. Puede que ya no tenga soporte ni lo mantenga nadie, o puede que tenga problemas de compatibilidad cuando se usa con las versiones más recientes de WordPress.

REST API support for Crayon Syntax Highlighter

Descripción

Is code syntax in posts created via REST API not highlighted?

Crayon Syntax Highlighter is one of the best code syntax highlighter plugins for WordPress and currently it does nto support REST API. This means that it does not highlight code in posts created via REST API, including posts created by Gutenberg.

This plugin adds support for it.

No more plain code!

Instalación

  1. Upload rest-api-support-for-crayon-syntax-highlighter.zip via Dashboard -> Plugins -> Add New -> Upload Plugin.
  2. Activate it.

FAQ

Why doesn’t Crayon Syntax Highlighter support it natively?

I do not know. Don’t ask me. Ask them. Maybe they are busy.

Reseñas

28 de octubre de 2019
It's not clear what the plugin does when it relates to Gutenberg Support. I currently use Crayon with gutenberg when adding a Classic editor block, then selecting Crayon. However, it only works once, unless I reload the editor. Installing this plugin didn't change that.
4 de febrero de 2019
It is not working on my localhost as well as remote server. Please check why it's happening. WordPress version 4.8.8 & 4.9.7
Leer todas las 2 reseñas

Colaboradores y desarrolladores

«REST API support for Crayon Syntax Highlighter» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

Registro de cambios

1.0.0 – 2018/11/12

  • Released initially.